Subject: Ethernet Encapsulation

From: "Marichetty, Venkatesan" <[email-masked]>
Date: Thu, 14 Aug 2003 17:19:05 -0400

Hi,

  I have the following questions in the
draft-ietf-pwe3-ethernet-encap-03.txt. It will be useful if somebody can
answer them.

1.  In section 3.1.2 it's been stated that in tagged mode every frame must
have a "service-delimiting" VLAN tag. Consider the scenario, when PE
receives a frame from CE which already has a VLAN tag (placed by CE) which
is not a "service-delimiting" tag. In this situation, is PE supposed to add
a "service-delimiting" VLAN tag on top of the CE VLAN tag?

2. How to identify a "service-delimiting" VLAN tag? Is it expected that the
user will configure at PE, for ex, list of tags as  "service-delimiting"
tags and based on the encapsulation mode determine whether to strip it (raw)
or keep it (tagged)?

thanks
Mari